.minicolors-swatch {
    position: absolute;
    vertical-align: middle;
    background-position: left -80px top 0;
    border: solid 1px #ccc;
    cursor: text;
    padding: 0;
    margin: 0;
    display: inline-block;
}

.minicolors-swatch-color {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.minicolors input[type="hidden"]+.minicolors-swatch {
    width: 28px;
    position: static;
    cursor: pointer;
}

.minicolors input[type="hidden"][disabled]+.minicolors-swatch {
    cursor: default;
}

/* Panel */
.minicolors-panel {
    position: absolute;
    width: 173px;
    background: white;
    border: solid 1px #ccc;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    z-index: 99999;
    box-sizing: content-box;
    display: none;
}

.minicolors-panel.minicolors-visible {
    display: block;
}

/* Panel positioning */
.minicolors-position-top .minicolors-panel {
    top: -154px;
}

.minicolors-position-right .minicolors-panel {
    right: 0;
}

.minicolors-position-bottom .minicolors-panel {
    top: auto;
}

.minicolors-position-left .minicolors-panel {
    left: 0;
    direction: ltr;
}

.minicolors-with-opacity .minicolors-panel {
    width: 194px;
}

.minicolors .minicolors-grid {
    position: relative;
    top: 1px;
    left: 1px;
    width: 150px;
    height: 150px;
    background-position: left -120px top 0;
    cursor: crosshair;
}

.minicolors .minicolors-grid-inner {
    position: absolute;
    top: 0;
    left: 0;
    width: 150px;
    height: 150px;
}

.minicolors-slider-saturation .minicolors-grid {
    background-position: left -420px top 0;
}

.minicolors-slider-saturation .minicolors-grid-inner {
    background-position: left -270px top 0;
    background-image: inherit;
}

.minicolors-slider-brightness .minicolors-grid {
    background-position: left -570px top 0;
}

.minicolors-slider-brightness .minicolors-grid-inner {
    background-color: black;
}

.minicolors-slider-wheel .minicolors-grid {
    background-position: left -720px top 0;
}

.minicolors-slider,
.minicolors-opacity-slider {
    position: absolute;
    top: 1px;
    left: 152px;
    width: 20px;
    height: 150px;
    background-color: white;
    background-position: 0% 0;
    cursor: row-resize;
}

.minicolors-slider-saturation .minicolors-slider {
    background-position: left -60px top 0;
}

.minicolors-slider-brightness .minicolors-slider {
    background-position: left -20px top 0;
}

.minicolors-slider-wheel .minicolors-slider {
    background-position: left -20px top 0;
}

.minicolors-opacity-slider {
    left: 173px;
    background-position: left -40px top 0;
    display: none;
}

.minicolors-with-opacity .minicolors-opacity-slider {
    display: block;
}

/* Pickers */
.minicolors-grid .minicolors-picker {
    position: absolute;
    top: 70px;
    left: 70px;
    width: 12px;
    height: 12px;
    border: solid 1px black;
    border-radius: 10px;
    margin-top: -6px;
    margin-left: -6px;
    background: none;
}

.minicolors-grid .minicolors-picker>div {
    position: absolute;
    top: 0;
    left: 0;
    width: 8px;
    height: 8px;
    border-radius: 8px;
    border: solid 2px white;
    box-sizing: content-box;
}

.minicolors-picker {
    position: absolute;
    top: 0;
    left: 0;
    width: 18px;
    height: 2px;
    background: white;
    border: solid 1px black;
    margin-top: -2px;
    box-sizing: content-box;
}

/* Swatches */
.minicolors-swatches,
.minicolors-swatches li {
    margin: 5px 0 3px 5px;
    padding: 0;
    list-style: none;
    overflow: hidden;
}

.minicolors-swatches .minicolors-swatch {
    position: relative;
    float: left;
    cursor: pointer;
    margin: 0 4px 0 0;
}

.minicolors-with-opacity .minicolors-swatches .minicolors-swatch {
    margin-right: 7px;
}

.minicolors-swatch.selected {
    border-color: #000;
}

/* Inline controls */
.minicolors-inline {
    display: inline-block;
}

.minicolors-inline .minicolors-input {
    display: none !important;
}

.minicolors-inline .minicolors-panel {
    position: relative;
    top: auto;
    left: auto;
    box-shadow: none;
    z-index: auto;
    display: inline-block;
}

/* Default theme */
.minicolors-theme-default .minicolors-swatch {
    top: 5px;
    left: 5px;
    width: 18px;
    height: 18px;
}

.minicolors-theme-default .minicolors-swatches .minicolors-swatch {
    margin-bottom: 2px;
    top: 0;
    left: 0;
    width: 18px;
    height: 18px;
}

.minicolors-theme-default.minicolors-position-right .minicolors-swatch {
    left: auto;
    right: 5px;
}

.minicolors-theme-default.minicolors {
    width: auto;
    display: inline-block;
}

.minicolors-theme-default .minicolors-input {
    height: 30px;
    width: auto;
    display: inline-block;
    padding-left: 26px;
    direction: ltr;
}

.minicolors-theme-default.minicolors-position-right .minicolors-input {
    padding-right: 26px;
    padding-left: inherit;
}

/* Bootstrap theme */
.minicolors-theme-bootstrap .minicolors-swatch {
    z-index: 2;
    top: 3px;
    left: 3px;
    width: 28px;
    height: 28px;
    border-radius: 3px;
}

.minicolors-theme-bootstrap .minicolors-swatches .minicolors-swatch {
    margin-bottom: 2px;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
}

.minicolors-theme-bootstrap .minicolors-swatch-color {
    border-radius: inherit;
}

.minicolors-theme-bootstrap.minicolors-position-right>.minicolors-swatch {
    left: auto;
    right: 3px;
}

.minicolors-theme-bootstrap .minicolors-input {
    float: none;
    padding-left: 44px;
}

.minicolors-theme-bootstrap.minicolors-position-right .minicolors-input {
    padding-right: 44px;
    padding-left: 12px;
}

.minicolors-theme-bootstrap .minicolors-input.input-lg+.minicolors-swatch {
    top: 4px;
    left: 4px;
    width: 37px;
    height: 37px;
    border-radius: 5px;
}

.minicolors-theme-bootstrap .minicolors-input.input-sm+.minicolors-swatch {
    width: 24px;
    height: 24px;
}

.minicolors-theme-bootstrap .minicolors-input.input-xs+.minicolors-swatch {
    width: 18px;
    height: 18px;
}

.input-group .minicolors-theme-bootstrap:not(:first-child) .minicolors-input {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

/* Semantic Ui theme */
.minicolors-theme-semanticui .minicolors-swatch {
    top: 0;
    left: 0;
    padding: 18px;
}

.minicolors-theme-semanticui input {
    text-indent: 30px;
}

input.currency {
    direction: ltr;
    text-align: left;
}

#spinner-div {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 9999;
}

.spinner-border.text-primary {
    top: 50vh;
    position: absolute;
}

.card.accordion-item .accordion-button {
    border-radius: 0.357rem;
    position: absolute;
    left: 0;
    top: 0;
    width: 50px;
}

.accordion-header {
    position: relative;
}

.form-control:focus {
    background-color: #fff;
    border-color: #ff0000;
    box-shadow: 0 3px 10px 0rgba (34, 41, 47, 0.1);
    color: #6e6b7b;
    outline: 0;
}

.product-avatar {
    position: relative;
    width: 40px;
    height: 70px;
    display: inline-flex;
}

.timeline .timeline-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
}

.timeline .timeline-header>*:first-child {
    margin-right: 0.5rem;
}

.timeline .timeline-end-indicator {
    position: absolute;
    bottom: -1.35rem;
    left: -0.65rem;
}

.timeline .timeline-end-indicator i {
    font-size: 1.5rem;
    color: #dbdade;
}

.timeline .timeline-item {
    position: relative;
    padding-left: 3rem;
}

.timeline .timeline-item .timeline-event {
    position: relative;
    top: -1rem;
    width: 100%;
    top: -1rem;
    min-height: 4rem;
    background-color: #fff;
    border-radius: 0.375rem;
    padding: 1.1rem 1.5rem 0.6rem;
}

.timeline .timeline-item .timeline-event:before {
    position: absolute;
    top: 0.75rem;
    left: 32px;
    right: 100%;
    width: 0;
    height: 0;
    border-top: 1rem solid rgba(0, 0, 0, 0);
    border-right: 1rem solid;
    border-left: 0 solid;
    border-bottom: 1rem solid rgba(0, 0, 0, 0);
    border-left-color: #fff;
    border-right-color: #fff;
    margin-left: -3rem;
    content: "";
}

.timeline .timeline-item .timeline-event.timeline-event-shadow {
    box-shadow: 0 0.5rem 1rem rgba(75, 70, 92, 0.075) !important;
}

.timeline .timeline-item .timeline-event .timeline-event-time {
    position: absolute;
    top: 1.1rem;
    font-size: 0.85rem;
    color: #a5a3ae;
}

.timeline .timeline-item .timeline-indicator,
.timeline .timeline-item .timeline-indicator-advanced {
    position: absolute;
    left: -0.75rem;
    top: -0.2rem;
    z-index: 2;
    height: 1.5rem;
    width: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 50%;
}

.timeline .timeline-item .timeline-indicator i,
.timeline .timeline-item .timeline-indicator-advanced i {
    background-color: #f8f7fa;
}

.card .timeline .timeline-item .timeline-indicator i,
.card .timeline .timeline-item .timeline-indicator-advanced i {
    background-color: #fff;
}

.timeline .timeline-item .timeline-indicator i,
.timeline .timeline-item .timeline-indicator-advanced i {
    color: #7367f0;
}

.timeline .timeline-item .timeline-indicator-advanced {
    background-color: #fff;
    top: -0.1rem;
}

.timeline .timeline-item .timeline-point {
    position: absolute;
    left: -0.43rem;
    top: 0;
    z-index: 2;
    display: block;
    height: 0.75rem;
    width: 0.75rem;
    border-radius: 50%;
    background-color: #7367f0;
}

.timeline .timeline-item.timeline-item-transparent .timeline-event {
    top: -1.4rem;
    background-color: rgba(0, 0, 0, 0);
}

html:not([dir="rtl"]) .timeline .timeline-item.timeline-item-transparent .timeline-event {
    padding-left: 0;
}

.timeline .timeline-item.timeline-item-transparent .timeline-event.timeline-event-shadow {
    padding-left: 2rem;
}

.timeline .timeline-item.timeline-item-transparent .timeline-event:before {
    display: none;
}

.timeline.timeline-center:before {
    left: 50%;
    height: 97%;
}

.timeline.timeline-center:after {
    left: 50%;
    margin-left: -0.55rem;
}

.timeline.timeline-center .timeline-end-indicator {
    bottom: -1.4rem;
    left: 50%;
    margin-left: 0.55rem;
}

.timeline.timeline-center .timeline-item {
    width: 50%;
    clear: both;
}

.timeline.timeline-center .timeline-item.timeline-item-left,
.timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left):not(.timeline-item-right) {
    float: left;
    padding-left: 0;
    padding-right: 3rem;
    left: 0px;
    padding-bottom: 3rem;
    border-left: 0;
    border-right: 1px solid #dbdade;
}

.timeline.timeline-center .timeline-item.timeline-item-left .timeline-event .timeline-event-time,
.timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left):not(.timeline-item-right) .timeline-event .timeline-event-time {
    right: -10.2rem;
}

.timeline.timeline-center .timeline-item.timeline-item-left .timeline-event:before,
.timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left):not(.timeline-item-right) .timeline-event:before {
    right: -15px;
    left: auto;
    border-left-width: 16px;
    border-right-width: 0;
}

.timeline.timeline-center .timeline-item.timeline-item-left .timeline-point,
.timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left):not(.timeline-item-right) .timeline-point {
    left: 100%;
}

.timeline.timeline-center .timeline-item.timeline-item-right,
.timeline.timeline-center .timeline-item:nth-of-type(even):not(.timeline-item-left):not(.timeline-item-right) {
    float: right;
    right: 1px;
    padding-left: 3rem;
    padding-bottom: 3rem;
    border-left: 1px solid #dbdade;
}

.timeline.timeline-center .timeline-item.timeline-item-right .timeline-event .timeline-event-time,
.timeline.timeline-center .timeline-item:nth-of-type(even):not(.timeline-item-left):not(.timeline-item-right) .timeline-event .timeline-event-time {
    left: -10.2rem;
}

.timeline.timeline-center .timeline-item.timeline-item-right .timeline-event .timeline-point,
.timeline.timeline-center .timeline-item:nth-of-type(even):not(.timeline-item-left):not(.timeline-item-right) .timeline-event .timeline-point {
    left: 0;
}

.timeline.timeline-center .timeline-item .timeline-point {
    left: 50%;
    margin-left: -0.6875rem;
}

.timeline.timeline-center .timeline-item .timeline-point-indicator {
    left: 50%;
    margin-left: -0.3125rem;
}

.timeline.timeline-advance .timeline-item .timeline-event:before,
.timeline.timeline-advance .timeline-item .timeline-event:after {
    border: rgba(0, 0, 0, 0);
}

.select2-container--default .select2-results>.select2-results__options {
    max-height: 200px;
    overflow-y: auto;
    direction: rtl;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #888 transparent transparent transparent;
    border-style: solid;
    border-width: 5px 4px 0 4px;
    height: 37px;
    left: 0;
    margin-right: unset;
    margin-top: unset;
    position: absolute;
    top: unset;
    width: 0;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444;
    line-height: 28px;
    direction: rtl;
}

.select2-selection--multiple {
    height: auto !important;
    overflow: hidden !important;
}

.table thead th,
.table tfoot th {
    letter-spacing: unset;
}

.accordion-header,
.accordion .accordion-item:not(:last-of-type) {
    border-bottom: 1px solid #d7cfe7;
}

.ltr {
    direction: ltr;
}